## sbrsh 1.4.7.1sdk1

=== debian/changelog ===
sbrsh (1.4.7.1sdk1) unstable; urgency=low

  * Repackaged source package.

 -- Janne Kataja <ext-janne.kataja@nokia.com>  Mon, 19 Sep 2005 14:15:54 +0300

sbrsh (1.4.7.1) unstable; urgency=low

  * Fix depends and rebuild

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon, 21 Mar 2005 15:46:34 +0200

sbrsh (1.4.7) unstable; urgency=low

  * Added ipkg-build for convenience

 -- Timo Savola <tsavola@movial.fi>  Wed, 11 Aug 2004 15:50:52 +0300

sbrsh (1.4.6) unstable; urgency=low

  * Added depencies and stripped binaries

 -- Riku Voipio <riku.voipio+packages@movial.fi>  Wed, 11 Aug 2004 10:25:30 +0300

sbrsh (1.4.5) unstable; urgency=low

  * Use fakeroot includes instead of fakeroot-net.
  * ipkg (Familiar) package.

 -- Timo Savola <tsavola@movial.fi>  Thu, 24 Jun 2004 12:28:24 +0300

sbrsh (1.4.4) unstable; urgency=low

  * Updated README.

 -- Timo Savola <tsavola@movial.fi>  Tue,  4 May 2004 11:55:41 +0300

sbrsh (1.4.3) unstable; urgency=low

  * Protocol version 4.
  * Client converts SBOX_ENV_ to SBRSH_ENV_ in environment variable names
    if daemon uses protocol version 3.

 -- Timo Savola <tsavola@movial.fi>  Wed, 21 Apr 2004 15:34:33 +0300

sbrsh (1.4.1) unstable; urgency=low

  * Client doesn't print error if it can't stat directories.
  * sbrshd init script included.
  * Debian package.

 -- Timo Savola <tsavola@movial.fi>  Tue, 09 Mar 2004 10:49:19 +0200
