=== debian/changelog ===
sbrsh (1.4.7.1sdk2) unstable; urgency=low

  * Adding fixes so that there is no need for configuring. This helps
    when using with maemo-dm.

 -- Maemo Integration <integration@maemo.org>  Wed, 21 Jun 2006 18:26:28 +0300
