=== debian/control ===
Source: sbrsh
Section: net
Priority: extra
Maintainer: The Scratchbox Developers <scratchbox-devel@lists.scratchbox.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1.1

Package: sbrshd
Architecture: any
Depends: nfs-common, portmap, ${shlibs:Depends}
Description: Scratchbox Remote Shell daemon
 http://scratchbox.org/
