=== debian/rules ===
#!/usr/bin/make -f

build: sbrshd

sbrshd:
	$(MAKE) sbrshd

binary: binary-arch

binary-arch: build
	dh_testdir
	dh_testroot

	ln -s ../sbrshd.init debian/

	mkdir -p debian/tmp/sbin
	cp -a sbrshd debian/tmp/sbin/

	mkdir -p debian/tmp/usr/share/doc/sbrshd
	cp -a README debian/tmp/usr/share/doc/sbrshd/

	dh_installchangelogs
	dh_installdocs
	dh_installinit
	dh_strip
	dh_shlibdeps
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

clean:
	dh_testdir
	dh_testroot

	$(MAKE) clean

	rm -f debian/files
	rm -f debian/sbrshd.init
	rm -f debian/*.debhelper
	rm -rf debian/tmp

.PHONY: build binary binary-arch binary-indep clean
