=== debian/changelog ===
sbrsh (7.5.1) unstable; urgency=low

  * Add url to copyright and format it more like other packages.

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 18 Nov 2007 20:16:03 +0200

sbrsh (7.5) unstable; urgency=low

  * Initial upload to debian Closes: #451560
  * Include defines from fakeroot
  * Split packages for client and server

  Timo Savola:
  * Fix interrupted read/write handling in fakeroot relay
  * Fix EINTR check in mount command output processing
  * Remove the pointless username matching
  * Remove the pointless ident support
  * Remove obsolete SBOX_ENV_ documentation
  * Do not build sbrsh statically
  * Add ENABLE and DEBUG_FILE options to init script
  * Evaluate /etc/default/sbrshd in init script
  * Install example config files

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 18 Nov 2007 13:18:35 +0200

sbrsh (7.4) unstable; urgency=low
  
  * debian: fix bashism in postrm script
  * daemon: check supplementary groups for root gid
  * client: do not drop gids from supplementary groups list

 -- Timo Savola <tsavola@movial.fi>  Fri, 27 Oct 2006 21:05:33 +0300

sbrsh (7.3) unstable; urgency=low

  * daemon: Fix supplementary groups setting (#284).
  * Environment translation removed.

  Toni Timonen:
  * Support the new CPU-transparency calling convention.
  * Build sbrsh statically.
  * Check the existence of stdin before using it.  This way it is possible
    to run binaries through sbrsh from scripts.

 -- Timo Savola <tsavola@movial.fi>  Fri, 27 Oct 2006 10:58:22 +0300

sbrsh (7.0) unstable; urgency=low

  * Moved environment handling to client side, which now uses libsb_env.

 -- Toni Timonen <ttimonen@movial.fi>  Thu,  1 Sep 2005 13:22:31 +0300

sbrsh (6.9) unstable; urgency=low

  * mount.c: Fixed nfs mount recognition to not fail with sfs.
  * Daemon: Enchanced busybox regognition (eg. with familiar).

 -- Toni Timonen <ttimonen@movial.fi>  Thu, 25 Aug 2005 10:19:16 +0300

sbrsh (6.8) unstable; urgency=low

  * Fixes interrupt handling in network I/O functions (bug #190)
  * Client: Expect RC packet from server during authentication

  Thanks to Rabeeh Khoury for help.

 -- Timo Savola <tsavola@movial.fi>  Wed, 11 May 2005 22:52:54 +0300

sbrsh (6.7) unstable; urgency=low

  * daemon.c (execute): Close pipe to command process when finished.
  * protocol.c (read_buf): Return error when buffer could not be filled
    due to closed socket.
  * client.c (main): Print more informative error message when passwd
    entry for uid could not be found.

 -- Timo Savola <tsavola@movial.fi>  Thu, 17 Feb 2005 20:08:21 +0200

sbrsh (6.6) unstable; urgency=low

  * sbrshd.init: Print "done." after enabling/disabling debug log.

 -- Timo Savola <tsavola@movial.fi>  Fri,  4 Feb 2005 15:13:44 +0200

sbrsh (6.5) unstable; urgency=low

  * debian/control: Do not depend on nfs-common.
  * debian/rules: Use LDFLAGS=-s instead of dh_strip to make the package
    cross-compile without Scratchbox.

 -- Timo Savola <tsavola@movial.fi>  Wed,  2 Feb 2005 08:06:39 +0200

sbrsh (6.4) unstable; urgency=low

  * client.c: Use _SBOX_NONFAKE_UID and _SBOX_NONFAKE_GID variables when
    run in a fakeroot session.  Print error message when authentication
    failed (the server no longer sends us an error message in that case).
  * daemon.c: Partial support for wildcards in the IP addresses in
    sbrshd.conf.
  * README: Documented new wildcard support in sbrshd.conf.
  * sbrshd.init, debian/rules, Makefile (ipk): sbrshd binary is installed
    to /usr/sbin instead of /sbin.
  * debian/sbrshd.postinst: Creates empty /etc/sbrshd.conf.
  * debian/sbrshd.postrm: Deletes /etc/sbrshd.conf when purging.
  * debian/copyright: Contains proper copyright information and a pointer
    to the GPL text.
  * debian/rules: Uses dh_clean.
  * debian/changelog: Recreated release history from CVS and Scratchbox's
    ChangeLog for documentation purposes.

 -- Timo Savola <tsavola@movial.fi>  Tue,  1 Feb 2005 15:21:52 +0200

sbrsh (6.3) unstable; urgency=low

  * Fixes the mount problem correctly.

 -- Timo Savola <tsavola@movial.fi>  Mon, 31 Jan 2005 18:14:04 +0200

sbrsh (6.2) unstable; urgency=low

  * Fixes a segmentation fault in the fakeroot relay.
  * Uses real path of mount points so that mounting and unmounting works with
    paths that have symlinks.
  * 'sbrshd add' does not fail if /etc/sbrshd.conf does not exist.
  * Minor sbrshd.conf parsing fix.

 -- Timo Savola <tsavola@movial.fi>  Wed, 29 Dec 2004 23:06:47 +0200

sbrsh (6.1) unstable; urgency=low

  * Users can be granted access using syntax "sbrshd add <user>@<address>".

 -- Timo Savola <tsavola@movial.fi>  Wed, 22 Dec 2004 16:00:17 +0200

sbrsh (6.0) unstable; urgency=low

  * User accounts no longer needed at the daemon end.
  * The daemon uses a single configuration file: /etc/sbrshd.conf.
  * The sandbox directories are created under /var/sbrshd.
  * Supports a "sandboxless" mode where the commands are executed in the
    system environment.

 -- Timo Savola <tsavola@movial.fi>  Mon, 20 Dec 2004 18:02:17 +0200

sbrsh (5.0) unstable; urgency=low

  * New version numbering scheme: the major version number corresponds to
    the protocol version (which was also incremented).
  * The plain-text password is no longer used.
  * The '--ident' option causes the daemon to do identd lookup to validate
    incoming connection.
  * umask is set for the executed command according to the client
    environment.
  * Daemon longer passes its version to the executed command via
    environment.
  * "SBRSH_RLIMIT_" prefix changed to "SBOX_RLIMIT_" in environment
    variables.

 -- Timo Savola <tsavola@movial.fi>  Mon, 18 Oct 2004 18:23:09 +0300
