=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS += -s

build: sbrshd sbrsh

sbrshd:
	$(MAKE) sbrshd

sbrsh:
	$(MAKE) sbrsh

binary: binary-arch

binary-arch: build
	dh_testdir
	dh_testroot

	cp sbrshd.init debian/

	mkdir -p debian/sbrshd/usr/sbin
	cp -a sbrshd debian/sbrshd/usr/sbin/
	mkdir -p debian/sbrshd/etc
	cp -a sbrshd.conf debian/sbrshd/etc/
	mkdir -p debian/sbrshd/usr/share/doc/sbrshd
	cp -a README debian/sbrshd/usr/share/doc/sbrshd/

	mkdir -p debian/sbrsh/usr/bin
	cp -a sbrsh debian/sbrsh/usr/bin/
	mkdir -p debian/sbrsh/usr/share/doc/sbrsh
	cp -a README debian/sbrsh/usr/share/doc/sbrsh/

	dh_installexamples
	dh_installchangelogs
	dh_installdocs
	dh_installinit
	dh_shlibdeps
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

clean:
	dh_testdir
	dh_testroot
	dh_clean

	$(MAKE) clean
	rm -f sbrshd sbrsh

	rm -f debian/sbrshd.init
	rm -rf debian/tmp

.PHONY: build binary binary-arch binary-indep clean
