## sbrsh 7.6

=== debian/changelog ===
sbrsh (7.6) unstable; urgency=low

  [ Riku Voipio ]
  * Upload to Debian

  [ Timo Savola ]
  * Revision 6
  * simpler build scripts
  * Fix mount point config parsing
  * Fix mount/umount binary configuration check
  * Hack to make sshfs mounting work
  * Add mount/umount binary configuration options to scripts
  * Change uid and gid separately
  * Mount sshfs as normal user
  * Initial sshfs work

  [ Ed Swartz ]
  * Force bind mounts to expire immediately
  * added -r|--remote option to alter user identity on target
  * added --debug-verbose option to optionally enable stdin/stdout/poll
    logging

  [ Janne Kataja ]
  * Fix the bug Timo added to 179b3ed1dbea29c24969b6c7cc1c10a4f943b78c
  * Check if the configuration of existing mount points has changed and
    try to
  * Fix sshfs unmounting
  * Changed do_umount(...) function arguments to detect SSHFS mounts.

 -- Riku Voipio <riku.voipio@iki.fi>  Thu, 15 May 2008 18:32:19 +0300

sbrsh (7.5.2) unstable; urgency=low

  * replace ENODATA with EIO to make sbrsh compile on freebsd

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 20 Nov 2007 15:26:11 +0200
