## sbrsh 7.6maemo1

=== debian/changelog ===
sbrsh (7.6maemo1) chinook; urgency=low

  * Changed default configuration to enabled and use util-linux mount binaries
    from package mount-full.

 -- Maemo Integration <integration@maemo.org>  Fri, 16 May 2008 10:41:10 +0300
