=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: sbrshd
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: mount-full, ${shlibs:Depends}
 Description: Scratchbox Remote Shell daemon
  sbrshd mounts nfs partition from the host and executes a binary on it.
  This used to provide cpu transparency for cross-compiling with
