## sbrsh 7.6maemo2

=== debian/changelog ===
sbrsh (7.6maemo2) diablo; urgency=low

  * Removed mount-full dependence
  * Added sshfs dependence

 -- Maemo Integration <integration@maemo.org>  Mon, 19 Jan 2009 18:26:35 -0300
