## sbrsh 7.6ubuntu1

=== debian/changelog ===
sbrsh (7.6ubuntu1) intrepid; urgency=low

  * client.c: Add missing #include <limits.h>. Fixes FTBFS
  * Modify Maintainer value to match the DebianMaintainerField specification.

 -- Albin Tonnerre <lutin@ubuntu.com>  Mon, 16 Jun 2008 13:09:45 +0200
