=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: sbrsh
 Section: net
 Priority: extra
-Maintainer: Riku Voipio <riku.voipio@iki.fi>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Riku Voipio <riku.voipio@iki.fi>
 Build-Depends: debhelper (>= 5)
 Standards-Version: 3.7.2
 
 Package: sbrshd
 Architecture: any
-Depends: ${shlibs:Depends}, sshfs (>= 1.8maemo1)
+Depends: ${shlibs:Depends}
 Description: Scratchbox Remote Shell daemon
  sbrshd mounts nfs partition from the host and executes a binary on it.
  This used to provide cpu transparency for cross-compiling with
