## sbrsh 7.6.1

=== debian/changelog ===
sbrsh (7.6.1) unstable; urgency=low

  * Add limits.h include, closes: #518849
  * 

 -- Riku Voipio <riku.voipio@iki.fi>  Mon, 09 Mar 2009 10:35:40 +0200
