=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: sbrsh
 Section: net
 Priority: extra
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Riku Voipio <riku.voipio@iki.fi>
+Maintainer: Riku Voipio <riku.voipio@iki.fi>
 Build-Depends: debhelper (>= 5)
-Standards-Version: 3.7.2
+Standards-Version: 3.8.0
 
 Package: sbrshd
 Architecture: any
