=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export LDFLAGS += -s
+export PREFIX := /usr
 
 build: sbrshd sbrsh
 
@@ -16,17 +17,19 @@
 	dh_testdir
 	dh_testroot
 
+	$(MAKE) install DESTDIR=debian/tmp
+
 	cp sbrshd.init debian/
 
 	mkdir -p debian/sbrshd/usr/sbin
-	cp -a sbrshd debian/sbrshd/usr/sbin/
+	mv debian/tmp/usr/sbin/sbrshd debian/sbrshd/usr/sbin/
 	mkdir -p debian/sbrshd/etc
 	cp -a sbrshd.conf debian/sbrshd/etc/
 	mkdir -p debian/sbrshd/usr/share/doc/sbrshd
 	cp -a README debian/sbrshd/usr/share/doc/sbrshd/
 
 	mkdir -p debian/sbrsh/usr/bin
-	cp -a sbrsh debian/sbrsh/usr/bin/
+	cp -a debian/tmp/usr/bin/sbrsh debian/sbrsh/usr/bin/
 	mkdir -p debian/sbrsh/usr/share/doc/sbrsh
 	cp -a README debian/sbrsh/usr/share/doc/sbrsh/
 
@@ -50,7 +53,6 @@
 	dh_clean
 
 	$(MAKE) clean
-	rm -f sbrshd sbrsh
 
 	rm -f debian/sbrshd.init
 	rm -rf debian/tmp
