## sbrsh 7.6.1build1

=== Makefile ===
O		:= $(if $(wildcard autoconf.mk),autoconf,optimize)

CFLAGS		+= -Wall -Wmissing-prototypes -Wformat=2 -Wshadow

BINARIES	:= sbrsh sbrshd
LIBRARIES	:= common
NODIST		:= $(LIBRARIES)

build: $(BINARIES)
$(BINARIES): common-static

include build/project.mk

GIT		:= git
AUTOCONF	:= autoconf

.PHONY: source-tarball
source-tarball:
	@(VERSION=`$(GIT) describe --tags | sed s/^v//` && \
	TMP=$$(mktemp -d tmp.XXXXXX) && \
	$(GIT) archive --format=tar --prefix="sbrsh-$$VERSION/" HEAD \
		> "$$TMP/sbrsh-$$VERSION.tar" && \
	cd "$$TMP" && \
	tar xf "sbrsh-$$VERSION.tar" && \
	cd "sbrsh-$$VERSION" && \
	$(AUTOCONF) && \
	cd .. && \
	tar rf "sbrsh-$$VERSION.tar" "sbrsh-$$VERSION/configure" && \
	gzip -c "sbrsh-$$VERSION.tar" > "../sbrsh-$$VERSION.tar.gz" && \
	cd .. && \
	rm -r "$$TMP")

.PHONY: ipk
ipk: daemon-$(PROFILE)
	rm -rf ipkg/build

	install -d ipkg/build/CONTROL
	sed s/'<VERSION>'/`head -n1 debian/changelog | cut -d'(' -f2 | cut -d')' -f1`/ ipkg/control.in > ipkg/build/CONTROL/control
	install -m 755 ipkg/postinst ipkg/build/CONTROL/
	install -m 755 ipkg/postrm ipkg/build/CONTROL/

	install -d ipkg/build/usr/sbin
	install -m 755 $(daemon_BINARY_$(PROFILE)) ipkg/build/usr/sbin/

	ipkg-build ipkg/build
	rm -rf ipkg/build
