=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sbrsh
 Section: net
 Priority: extra
-Maintainer: Riku Voipio <riku.voipio@iki.fi>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Riku Voipio <riku.voipio@iki.fi>
 Build-Depends: debhelper (>= 5)
 Standards-Version: 3.8.0
