## sbrsh 8.0maemo2

=== debian/changelog ===
sbrsh (8.0maemo2) diablo; urgency=low

  * Fixes to the permission settings when the server creates directory

 -- Maemo Integration <integration@maemo.org>  Thu, 12 Feb 2009 16:54:22 -0300

sbrsh (8.0maemo1) diablo; urgency=low

  * The sandbox option for the daemon has been added again
  * Minor fixes to the permission settings when the server creates directory

 -- Maemo Integration <integration@maemo.org>  Thu, 12 Feb 2009 16:54:22 -0300

sbrsh (7.6maemo3) diablo; urgency=low

  * The client now controls the sandbox decision using -s or -n options
  * Due to the sending of sandbox option, the SBRSH protocol has been
  updated to version version to 8 and the protocol option PTYPE_SANDBOX
  was added with value 0x43
  * The option for sandbox in the server has been removed, since the
  client now decides for this

 -- Maemo Integration <integration@maemo.org>  Thu, 12 Feb 2009 16:54:22 -0300
