=== debian/control ===
Source: sbrsh
Section: net
Priority: extra
Maintainer: Maemo Integration <integration@maemo.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: sbrshd
Architecture: any
Depends: ${shlibs:Depends}, sshfs (>= 1.8maemo1)
Description: Scratchbox Remote Shell daemon
 sbrshd mounts nfs partition from the host and executes a binary on it.
 This used to provide cpu transparency for cross-compiling with
 scratchbox.
 http://scratchbox.org/

Package: sbrsh
Architecture: any
Depends: ${shlibs:Depends}
Description: Scratchbox Remote Shell client
 sbrsh requests a sbrshd host to mount a nfs partition, and executes a
 binary on it.  This used to provide cpu transparency for cross-compiling
 with scratchbox.
 http://scratchbox.org/
