## sbrsh 8.0maemo3

=== debian/changelog ===
sbrsh (8.0maemo3) diablo; urgency=low

  * Version increased to compile with new fremantle SDK (autobuilder) 

 -- Hallyson Melo <hallyson.melo@openbossa.org>  Thu, 19 Nov 2009 13:57:48 -0300
